@{
    ViewData["Title"] = "List Persetujuan Rapor";
}
<style>
    span.select2 {
    z-index:10050;
}
</style>
<section class="section">
    <div class="section-header">
        <h1>Persetujuan Rapor</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">ELearning</a></div>
            <div class="breadcrumb-item active"><a href="#">Persetujuan Rapor</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data" style="display:none">
        <div id="loading-data" style="text-align:center;">
            <div style="margin-top:150px;">
                <i class="fa fa-spinner fa-spin fa-4x"></i>
            </div>
        </div>
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
                <div style="margin-top: -1px;">Ups! <span id="htmlEmptyData">Sepertinya tidak ada data, silahkan tambah baru</span></div>
        </div>
    </div>
    <div class="section-body" id="data">
        <div class="collapse" id="collapseKelasParalel">
            <div class="card card-body">
                <form class="form-inline" id="FormFilter">
                    <label class="sr-only">Unit</label>
                    <select class="form-control mb-2 mr-sm-2" id="IdUnit" name="IdUnit">
                        <option value="">- Pilih Unit -</option>
                    </select>
                    <select class="form-control mb-2 mr-sm-2" id="IdKelas" name="IdKelas">
                        <option value="">- Pilih Kelas -</option>
                    </select>
                    <select class="form-control mb-2 mr-sm-2" id="IdJenisRapor" name="IdJenisRapor">
                        <option value="">- Pilih Jenis Rapor -</option>
                    </select>

                    @* <label class="sr-only" for="inlineFormInputGroupUsername2"></label>
                    <div class="input-group mb-2 mr-sm-2" id="BtnSubmitPencarian">
                        <a href="#" class="btn btn-success btn-block tester" onclick="DownloadJadwalKbm();" type="button"><i class="fa fa-download"></i>&nbsp; Download</a>
                    </div> *@
                    @* <label class="sr-only" for="inlineFormInputGroupUsername2"></label>
                    <div class="input-group mb-2 mr-sm-2" id="BtnSubmitPencarian">
                        <button type="button" class="btn btn-primary btn-block tester" onclick="ModalUpload();"><i class="fa fa-truck"></i>&nbsp; Publish Sekarang !</button>
                    </div> *@
                </form>
            </div>
        </div>
        <div class="form-row">
            <div class="col-md-12">
                <div class="card" id="">
                    <div class="card-header form-row">
                        <h4 class="col-4" id="htmlTabelKelas">
                            Daftar Rapor Siswa
                        </h4>
                        <div class="col-8 text-right">
                            <button type="button" class="btn btn-primary btn-flat" data-toggle="collapse" data-target="#collapseKelasParalel" aria-expanded="false" aria-controls="collapseExample"><i class="fa fa-filter"></i> Filter</button> &nbsp;
                            <button type="button" class="btn btn-success btn-flat" id="btnKelas" onclick="PublishRapors();" style="display:none"><i class="fa fa-truck"></i>&nbsp; Publish Sekarang !</button> &nbsp;
                        </div>
                    </div>
                    <div class="card-body" id="card-kelas" style="display:none">
                        <div class="table-responsive">
                            <table id="TabelKelas" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th><input type="checkbox" name="CheckAllIdKelas" /></th>
                                        <th>AKSI</th>
                                        <th>NAMA</th>
                                        <th>JENIS RAPOR</th>
                                        <th>UPLOAD OLEH</th>
                                        <th>STATUS</th>
                                        <th>FILE</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th><input type="checkbox" name="CheckAllIdKelas" /></th>
                                        <th>AKSI</th>
                                        <th>NAMA</th>
                                        <th>JENIS RAPOR</th>
                                        <th>UPLOAD OLEH</th>
                                        <th>STATUS</th>
                                        <th>FILE</th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                    <div class="card-body" id="card-kelas-empty">
                        <center>
                            <img src="~/assets/img/illustration/yacht.png" width="400px" class="img-fluid" />
                        </center>
                    </div>
                </div>
            </div>
        </div>


    </div>
</section>

<div class="modal fade" id="ModalUploadJadwal" role="dialog" tabindex="-1">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Upload Jadwal</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormJadwalUpload" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Masukan File</label>
                        <div class="col-sm-8">
                            <input type="file" class="form-control" name="FileUpload" id="FileUpload" />
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> 
                <button type="button" class="btn btn-primary" id="BtnProses" onclick="UploadJadwalKbm();">Upload Sekarang</button>
            </div>
        </div>
    </div>
</div>
